# Enum Class SendfileKeepAliveState

java.lang.Object
java.lang.Enum<SendfileKeepAliveState>
org.apache.tomcat.util.net.SendfileKeepAliveState

All Implemented Interfaces:
  `Serializable, Comparable<SendfileKeepAliveState>, Constable`

public enum SendfileKeepAliveState extends Enum<SendfileKeepAliveState>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  Keep-alive is not in use.
  `OPEN`
  Keep-alive is in use.
  `PIPELINED`
  Keep-alive is in use and there is pipelined data in the input buffer to be read as soon as the current response has been written.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SendfileKeepAliveState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SendfileKeepAliveState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final SendfileKeepAliveState NONE
    Keep-alive is not in use. The socket can be closed when the response has been written.

  - ### PIPELINED

    public static final SendfileKeepAliveState PIPELINED
    Keep-alive is in use and there is pipelined data in the input buffer to be read as soon as the current response has been written.

  - ### OPEN

    public static final SendfileKeepAliveState OPEN
    Keep-alive is in use. The socket should be added to the poller (or equivalent) to await more data as soon as the current response has been written.

- ## Method Details

  - ### values

    public static SendfileKeepAliveState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SendfileKeepAliveState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null